#!/usr/bin/env python
from xml.etree import ElementTree as ET
import os

tree = None

def main():
    global tree
    launch_file = os.path.abspath(__file__)
    launch_file = os.path.dirname(launch_file)
    launch_file = os.path.join(launch_file, "joy.launch")

    try:
        tree = ET.parse(launch_file)
    except Exception, inst:
        print "Unexpected error in opening %s: %s"%(launch_file, inst)
        return

    eles = tree.findall('node')
    nodelist = [n.get('name') for n in eles]
    print nodelist

    child = ET.Element("machine")
    child.set("name", "fcolas-laptop")
    child.set("address", "fcolas-laptop")
    child.set("default", "true")
    child.set("ros-root", "/opt/ros/diamondback/ros")
    child.set("ros-package-path", "/opt/ros/diamondback/stacks:/home/robot/bleeding-edge")
    child.set("user", "ming")
    child.set("password", "niftinifti")

    rootele = tree.getroot()
    rootele.insert(0, child)

    tree.write("test_out.launch")



if __name__ == "__main__":
	# Someone is launching this directly
	main()
    
